Update company
PUT https://api.weav.com/v1/companies/{id}
Requires a token with the external-api:write ability.
Path parameters
idstringrequiredFormat: uuid.
Body
namestringMaximum length: 50.
domainstring | nullcountrystring | nullISO 3166-1 alpha-2 country code (2 uppercase letters)
Request
cURL
curl --request PUT \
--url 'https://api.weav.com/v1/companies/{id}' \
--header "Authorization: Bearer ${WEAV_API_TOKEN}" \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"domain": "string",
"country": "string"
}'
JavaScript
const body = {
"name": "string",
"domain": "string",
"country": "string"
};
const response = await fetch("https://api.weav.com/v1/companies/{id}", {
method: "PUT",
headers: {
Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
'Content-Type': 'application/json'
},
body: JSON.stringify(body)
});
console.log(await response.json());
Python
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"name": "string", "domain": "string", "country": "string"}
response = requests.put("https://api.weav.com/v1/companies/{id}", headers=headers, json=body)
print(response.json())
PHP
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('PUT', 'https://api.weav.com/v1/companies/{id}', [
'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
'json' => array (
'name' => 'string',
'domain' => 'string',
'country' => 'string',
),
]);
echo $response->getBody();
Response
200 OK
{
"id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
"name": "Acme Corp",
"domain": "acme.com",
"country": "US",
"avatar_url": "https://example.com",
"first_seen_at": "2026-01-01T00:00:00Z",
"last_seen_at": "2026-01-01T00:00:00Z",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}
400Bad Request404Not Found401Unauthorized
Response fields
idstringFormat: uuid.
namestringdomainstringcountrystring | nullavatar_urlstring | nullFormat: url.
first_seen_atstring | nullFormat: date-time.
last_seen_atstring | nullFormat: date-time.
created_atstring | nullFormat: date-time.
updated_atstring | nullFormat: date-time.
